<?php get_header(); ?>

<section id="main">
<?php get_template_part('lib/sub-header'); ?>

    <section class="blog-post-section">
        <div class="container">
            <div class="row">

            <div class="col-sm-8 col-md-9 col-xs-12">
                <?php if ( have_posts() ) :  ?> 

                    <?php while ( have_posts() ) : the_post(); ?>

                        <?php get_template_part( 'post-format/content', get_post_format() ); ?>

                         <?php 
                         if ( class_exists( 'ReduxFramework' ) ) { 
                         if ( kidzy_options('post-nav-en') ) { ?>
                            <div class="clearfix post-navigation">
                                <?php previous_post_link('<span class="previous-post pull-left">%link</span>',esc_html__("Previous Article",'kidzy')); ?>
                                <?php next_post_link('<span class="next-post pull-right">%link</span>',esc_html__("Next Article",'kidzy')); ?>
                            </div> <!-- .post-navigation -->
                        <?php }} ?>


                        <?php
                        if ( class_exists( 'ReduxFramework' ) ) { 
                          if ( kidzy_options('blog-single-comment-en') ) {
                            if ( comments_open() || get_comments_number() ) {
                                comments_template();
                            }
                          }
                        }//End of ReduxFramwork
                        else{
                            if ( comments_open() || get_comments_number() ) {
                                comments_template();
                            } 
                        }
                        ?>

                        <?php
                            if ( is_singular( 'post' ) ){
                                $count_post = esc_attr( get_post_meta( $post->ID, '_post_views_count', true) );
                                if( $count_post == ''){
                                    $count_post = 1;
                                    add_post_meta( $post->ID, '_post_views_count', $count_post);
                                }else{
                                    $count_post = (int)$count_post + 1;
                                    update_post_meta( $post->ID, '_post_views_count', $count_post);
                                }
                            }
                        ?>
                    <?php endwhile; ?>    
                <?php else: ?>
                    <?php get_template_part( 'post-format/content', 'none' ); ?>
                <?php endif; ?>
                <div class="clearfix"></div>
            </div> <!-- #content -->
            

            <?php get_sidebar(); ?>
            <!-- #sidebar -->
            
        </div> <!-- .row -->
    </div><!-- .container -->
</section>

</section>

<?php get_footer();